html {
  /*height: 83%;*/
  /*min-width: 1000px;*/
}

body {
  /*height: 100%;*/
  /*min-width: 1000px;*/
  padding: 0 0.7%;
}

.sede {
  color: #999;
}

abbr {
  text-decoration: underline;
  text-decoration-style: dotted;
  text-decoration-color: black;
}

/* laky vozidel */
.lakVozidla {
  padding: 0.2ex 1ex;
  display: inline-block;
  margin-bottom: 0.3ex;
}

.kratkyLakVozidla {
  display: inline-block;
  margin-bottom: 0.3ex;
  min-width: 2em;
  padding: 0.2ex 0.8ex;
  border: thin solid black;
}

.kratkyLakVozidla.prazdny {
  border: thin solid black;
}

.pozadi {
  background-color: #FFF39F;
}

div.vlozitPostreh,
form.vlozitPostreh {
  font: 0.8em/150% Verdana;                 
}

.titulni_stranka {
  font: 0.8em Verdana;
  background-color: #FFF9CA;
}

.titulni_stranka a,
.asLink,
.asButtonLink {
  color: blue;
  cursor: pointer;
  text-decoration: underline;
}
.asButtonLink {
  font-weight: bold;
}
.titulni_stranka a:hover,
.asButtonLink:hover,
.asLink:hover {
  color: red;
}
.titulni_stranka p.aktivni {
  font: 1.3em Arial;
}
.titulni_stranka h2.aktivni {
  font-size: 170%;
  /*background-color: #FFF39F;*/
}

span.label, label {
  width: 9em;
  display: inline-block;
  vertical-align: text-top;
}

.admin .widerLabel label,
.widerLabel label {
  width: 9.5em;
}

textarea {
  vertical-align: text-top;
}

input, select {
  margin: 0.3ex 0;
  padding: 0.25ex 0.4ex;
  border: thin solid black;
}
input[type="button"],
input[type="submit"] {
  padding: 0.5ex 0.65ex;
}

input[type="date"], input[type="number"], input[type="text"], input[type="password"] {
  width: 140px;
}

p.dateSelect {
  text-align: center;
}
.dateSelect label {
  font: 0.9em Verdana;
  display: inline;
}

input.long {
  width: 550px;
}

.vlozitNaStrance {
  width: 700px; 
  margin: 1em auto
  margin-top: 50px;  
}

h1 {
  font-family: Arial, sans-serif;
  text-align: center;
  font-size: 125%;
  margin-bottom: 0.3em;
}
h1:not(.postreh):first-line {
  font-size: 145%;
}

body.ua h1, body.ua h2 {
  color: white;
}
              
h1.postreh {
  font: 1.3em Verdana;
  text-align: left;
}
h2.vykony {
  font-family: Arial, sans-serif;
  text-align: center;
  font-size: 140%;
  margin-bottom: 0.2em;
}
h2.vykony a {
  display: inline-block;
  opacity: 0;
  color: black;
  text-decoration: none;
  padding-left: 0.5em;
  transition: all linear 0.5s;
}
.movetop {
  /*display: block;*/
  position: relative;
  top: -4em;
  height: 1px;
  visibility: hidden; 
}
h2.vykony:hover a {
  opacity: 1;
}

p.vykonyOdkazy {
  text-align: center;
  font: 10pt Verdana;  
}

p.vykonyOdkazy a {
  color: blue;
}
p.vykonyOdkazy a:hover {
  color: red;
}

p.text {
  font: 11pt Verdana;
  color: black;
  text-align: center;
  margin-top: 0;
}
p.link {
  font: 11pt Verdana;
  color: blue;
  text-align: center;
  margin-top: 0;
}

p.link a {
  color: blue;
  letter-spacing: 0.1ex;
}
p.link a:hover {
  color: red;
}

h4 {
  margin-bottom: 0;
}

h4 + p.aktivni {
  margin-top: 0.1em;
}

.seznam p {
  margin-top: 0.2ex;
  margin-bottom: 0.2ex;
}

#obaPasy + .vlozitNaStrance,
#obaPasy + h1 {
  padding-top: 2.2em;  
  padding-top: 70px;
  z-index: 1;
}

@media (max-width: 1100px) {
  padding-top: 120px;
}


@media (max-width: 600px) {
  padding-top: 150px;
}

.tucne {
  font-weight: bold;
}
.kurziva {
  font-style: italic;
}
.skrt {
  text-decoration: line-through;
}
table tr.odebranyZaznam td:nth-child(-n+7) {
  text-decoration: line-through;
}

.teckovanePodtrzeni {
  border-bottom: thin dotted black
}

#obaPasy {
  background-color: #fff39f;
  position: fixed;
  width: 100%;
/*  min-width: 1000px;*/
  left: 0;
  top: 0;
  z-index: 2;
  /*display: none;
  /**/
}

.ua #obaPasy {
  background: none;
}

div.pas {
  width: 98%;
  margin: 0.5em auto;
  
  background-color: #0C3A9A;
  text-align: center;
  padding: 0.5ex 0em;
  /*font-weight: bold;*/
  font: 0.9em Arial;
  color: white;
  /*position: fixed;*/
}

div.pas + div.pas {
}

div.pas a {
  display: inline-block;
  padding: 0.1ex 0.1em;
  /*margin-left: 0.3em;*/
  /*font-weight: bold;*/
  color: white;
  border-bottom: thin solid white;
  text-decoration: none;
}

div.pas a:hover {
  color: #28C8FD;
  border-bottom: thin solid #28C8FD;
}

div.pas a.noStyle {
  border: 0;
}

div.pas.mobilni {
  padding: 0.5ex;
  width: auto;
  text-align: left;
}

div#forTable {
  width: 97%;
/*  max-height: 88%;*/
  overflow: auto;
  margin: 0 auto;
  border: medium solid black;
  padding: 1ex 1ex;
  background-color: white;
  font-size: 80%;
}

hr {
   background-color: black;
   width: 98%;
   margin-top: 1em;
   height: 3px;
   border: 0;
}

table {
  border-collapse: collapse;
  margin: 1ex auto;
  cursor: default;
}
table:first-of-type:not(.admin), table.vykony {
  font-size: 80%;
  max-width: 98%;
}

td, th {
  font: 0.8em Verdana;
  border: thin solid black;
  margin: 0;
  padding: 0.3ex 1ex;
  text-align: center;
  white-space: nowrap;
}

th, td.datum {
  font-weight: bold;
  background-color: #D8D8D8;
  font-size: 90%;
}

tr th.seznam_vlaku .dnesNejede {
  color: white;
}

tr th.seznam_vlaku .svlv,
tr th.svlv {
  color: #ededed;
}

tr.dnes td.datum {
  background-color: #F8AD01; 
}

td.datum a, td.datum a:visited {
  color: black;
}
tr.sudy:hover td.datum a, 
tr.lichy:hover td.datum a,
tr.sudy:hover td.datum a:visited,
tr.lichy:hover td.datum a:visited {
  color: white;
}

tr th.seznam_vlaku {
  font-size: 0.7em;
  font-weight: normal;
}

td {
  padding: 0.5ex 1ex; 
}

td.nejede {
  background-color: black;
}

tr.dnes.sudy td.sudy,
tr.dnes.lichy td.sudy {
  background-color: #FFB18C;
}
tr.dnes.sudy td.sudy.nejede,
tr.dnes.lichy td.sudy.nejede {
  background: repeating-linear-gradient(150deg, #666, #666 1px, #FFB18C 1px, #FFB18C 5px);
}

tr.dnes.sudy td.lichy,
tr.dnes.lichy td.lichy {
  background-color: #FFE1D2;
}
tr.dnes.sudy td.lichy.nejede,
tr.dnes.lichy td.lichy.nejede {
  background: repeating-linear-gradient(150deg, #666, #666 1px, #FFE1D2 1px, #FFE1D2 5px);
}

tr.lichy td.sudy {
  background-color: #A8DEFF;
}

tr.lichy td.sudy.nejede {
  background-color: #C5D8E2;
  background: repeating-linear-gradient(150deg, #666, #666 1px, #A8DEFF 1px, #A8DEFF 5px);
}

tr.druhy td,
tr.sudy td.sudy {
  background-color: #F4F4F4;
}

tr.sudy td.sudy.nejede {
  background-color: #BEBEBE;
  background: repeating-linear-gradient(150deg, #666, #666 1px, #F4F4F4 1px, #F4F4F4 5px);
}


tr.lichy td.lichy {
  background-color: #DDF2FF;
}
tr.lichy td.lichy.nejede { 
  background: repeating-linear-gradient(150deg, #666, #666 1px, #DDF2FF 1px, #DDF2FF 5px);
}
tr.sudy td.lichy {
  background-color: white;
}

tr.sudy td.lichy.nejede {
/*  background-color: #ddd;*/
  background: repeating-linear-gradient(150deg, #666, #666 1px, #fff 1px, #fff 5px);
}


tr.dnes:hover td.sudy,
tr:hover td.sudy {
  background-color: #FF952B;
}
tr:hover td.sudy.nejede {
  background: repeating-linear-gradient(150deg, #666, #666 1px, #FF952B 1px, #FF952B 5px);
}
tr.dnes:hover td.lichy,
tr:hover td.lichy {
  background-color: #FFC488;
}
tr:hover td.lichy.nejede {
  background: repeating-linear-gradient(150deg, #666, #666 1px, #FFC488 1px, #FFC488 5px);
}
tr.lichy:hover td.datum, tr.sudy:hover td.datum {
  background-color: #B68001;
  color: white;
}

tr.lichy td.sudy, tr.sudy td.sudy, 
tr.lichy td.lichy, tr.sudy td.lichy {
  font-size: 0.9em;
}

tr td.jesteNejede, tr:hover td.jesteNejede {
  background-color: white;
  font-size: 0.9em;
}
tr td.jede, tr:hover td.jede {
  background-color: #BCFFB0;
  font-size: 0.9em;
}
tr td.dorazil, tr:hover td.dorazil {
  background-color: #C1E0FF;
  font-size: 0.9em;
}

table tr td.doleva,
table.prehledTabulek tr td {
  text-align: left;
}

table.adminovyTabulky tr.licha,
table.obRadekBarva tr:nth-child(odd) {
  background-color: #DAEAFE  ;
}

table.prehledTabulek tr.zvyrazni  {
  background-color: #FFEC00;
}


table.statistika {
  width: 95%; 
  max-width: 100%; 
  overflow: hidden;
}

table.statistika td:first-child {
  position: relative;
  width: 80%;
  /*
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  padding: 0;*/
}
table.statistika td:first-child:before {
  content: '&nbsp;';
  visibility: hidden;
}
table.statistika td:first-child span {
  position: absolute;
  left: 0;
  right: 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
table.statistika td:first-child a {
  color: black;
  text-decoration-style: dotted;
  text-decoration-color: #333;
}
table.statistika td:first-child.hidden a {
  color: white;
}

table.statistika td + td {
  width: 10%;
}

span.jede {
  background-color: #BCFFB0;
}
span.dorazil {
  background-color: #C1E0FF;
}


.levyDvojite {
  border-left: double;
}

.prehledDne {
  font: 0.8em Verdana;
}

.predpokladDne {
  font-style: italic;
}

table.vykony {
  width: 80%;
  margin-top: 1em;
}
table.vykony tr td, table.vykony tr th {
  font-size: 100%;
}

table.vykony tr td.malePismo {
  font-size: 0.9em;
  letter-spacing: 0.03ex;
}

td.zalamuj {
  white-space: normal;
}
td.pointer {
  cursor: pointer;
}

.poznamka {
  font-weight: bold;
  color: red;
}

.detail {
  font-weight: bold;
  color: green;
}
.predpoklad {
  font-weight: bold;
  color: blue;
}
.strojove {
  font-family: Courier New;
}        

.admin table {
  margin: 1em 0.5em;
  background-color: white;
}

input.uzky {
  width: 3em;
}

table.vypisPoznamek {
  max-width: 98%;
  max-width: 1000px;
}

table.vypisPoznamek, table.vypisPoznamek tr, table.vypisPoznamek td {
  border-width: 0;
  text-align: left;
  vertical-align: top;
  margin-left: 1em;
  margin-right: 1em;
  background-color: #FFF39F;
  white-space: normal;
}                   

table.admin th {
  font-size: 80%;
}

table.admin tr.mamStarsiPotvrzeny td, td.mamStarsiPotvrzeny {
  background-color: #EECF95;
}

table.admin tr.zaznamNeznamyUzivatel td, td.zaznamNeznamyUzivatel {
  background-color: #840000;
  color: white;
}
table.admin tr.zaznamNeniVidet td, td.zaznamNeniVidet {
  background-color: #FFA8A8;
}

table.admin tr.prazdnyZaznam td, td.prazdnyZaznam {
  background-color: #c1e0ff;
}

table.admin tr.odebranyZaznam td {
  background-color: #B4B4B4;
}

table.admin tr.novyZaznam, table.admin tr td.novyZaznam {
  background-color: #008000;
  color: white;
  font-weight: bold;
  text-decoration: none;
}

table.admin tr.novyZaznam a, table.admin tr td.novyZaznam a {
  color: yellow;
}

body.admin {
  font: 0.95em Arial;
}
.admin .zamek {
  margin-left: 300px;
}
.pulka {
  width: 47%;
  display: inline-block;
  vertical-align: top;
  /*
  margin-left: 1%;
  margin-right: 1%;
  */
  padding-left: 1%;
  padding-right: 1%;
  max-width: 700px;
  border-left: thin solid black;
}
.pulka + .pulka {
  border-left: medium solid black;
  border-right: thin solid black;
}
.dvePulky {
  margin: 0 auto;
  width: 100%;
  max-width: 1450px;
}
.ctvrtka {
  margin: 0 auto;
  width: 100%;
}

.ctvrtka h4 {
  padding-left: 15%;
}

.ctvrtka div {
  display: inline-block;
  vertical-align: top;
  width: 24%;
  border-left: thin solid black;
}

.admin textarea {
  border: thin solid black;
  /*resize: none;*/
}
.admin textarea[readonly] {
  background: #eee;
}

.admin label {
  width: 7em;
  text-align: right;
}

table.admin label {
  width: 8em;
  text-align: right;
}

.admin p.tablist label {
  width: auto;
  margin-right: 0.5em;
}

.admin label.wide {
  width: 10em;
  margin-right: 0.5em;
}

.admin .login label {
  width: 11em;
  text-align: left;
}

.admin input[type="button"],
.admin input[type="submit"] {
  cursor: pointer;
  margin-left: 8em;
}

.admin label + input[type="button"],
.admin input[type="submit"] + input[type="button"],
.admin input[type="button"] + input[type="submit"],
.admin input[type="button"] + input[type="button"] {
  margin-left: 1em;
}

#masiny input[type="button"],
.admin form.inlineForm input[type="submit"],
.admin td input[type="button"] {
  margin-left: 1em;
}
.admin td input[type="submit"] {
  margin-left: auto;
}

.admin #vypisObehu {
  max-height: 170px;
  overflow-y: scroll;
  border: thin solid black;
  padding: 10px;
  margin-bottom: 20px;
  background: white;
}
.admin #vypisObehu span:not(.tucne):not(.sede) {
  cursor: pointer;
}     

.clicked {
  background: #ddd;
}

.admin #vlakyDne {
  overflow-x: auto;
  max-width: 100%;
  margin-bottom: 1em;
  background: #fff;
  border: thin solid black;
}

.admin #radekTabulky {
  overflow-x: hidden;
  width: 100%;
  margin-bottom: 1em;
  background: #fff;
  border: thin solid black;
}

.admin input.smallML {
  margin-left: 1em;
}

.admin #horni {
  width: 100%;
}

.admin #vlaky {
  display: inline-block;
  width: 75%;
}

.inlineForm {
  display: inline-block;
}

.admin #masiny {
  display: inline-block;
  vertical-align: top;
  width: 20%;
  margin-left: 1%;
  
  padding: 10px;
  margin-bottom: 20px;
  border: thin solid black;
  background: white;
  height: 100%;
  max-height: 350px;
  
  overflow-y: scroll;
}

.admin label.noWidth, 
label.noWidth {
  width: auto;
}

.admin input.normal {
  width: auto;
  margin: auto;
  padding: auto;
}

.admin table.aktivniBany {
  width: 50%;
}
.admin table.aktivniBany td {
  width: 33%
}
.admin table.aktivniBany td+td {
  width: 33%
}
.admin table.aktivniBany td+td+td {
  width: 33%
}
/*
.admin table.aktivniBany td+td+td+td {
  width: 11%
}
.admin table.aktivniBany td+td+td+td+td {
  width: 11%
}
*/

.admin table.prehledBanu {
  width: 80%;
}
.admin table.prehledBanu td {
  width: 10%
}
.admin table.prehledBanu td+td {
  width: 10%
}
.admin table.prehledBanu td+td+td {
  width: 10%
}
.admin table.prehledBanu td+td+td+td {
  width: 41%
}
.admin table.prehledBanu td+td+td+td+td {
  width: 8%
}

.admin table.banovaneIP {
  width: 35%;
  float: left;
}
.admin table.banovaneIP td {
  width: 50%;
}


.admin table.poznamky {
  width: 66%
}
.admin table.poznamky td {
  width: 15%
}
.admin table.poznamky td+td {
  width: 50%
}
.admin table.poznamky td+td+td {
  width: 20%
}
.admin table.poznamky td+td+td {
  width: 15%
}

.admin .hideLabel div.label {
  margin-top: 0.5ex;
  display: none;
  vertical-align: bottom;
  position: relative;
}
.admin .hideLabel label, .admin .wideLabel label {
  width: auto;
  vertical-align: bottom;
  text-align: left;
}
.wideLabel input[type="text"],
.hideLabel input[type="text"] {
  width: 390px;
}
.wideLabel input[type="number"],
.hideLabel input[type="number"] {
  width: 60px;
}
.admin .hideLabel div.label div {
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0.5;
  background-color: black;
  z-index: 3;
  width: 100%;
  height: 100%;
}

.overenyZaznam {
  font-weight: bold;
}

.tableUpload {
  background-color: #FBE04A;
}

.tableAdmin {
  background-color: #A6D0FF;
}

.visible {
  background-color: #B7FFB7;
}

.admin .hidden {
  background-color: #C40000;
  color: white;
}

.tabulkaAdministratoru th a,
.tabulkaAdministratoru td a {
  color: black;
  text-decoration: none;
}

.tabulkaAdministratoru td.hidden a {
  color: white;
}


.vertical-text {
	display: inline-block;
	overflow: hidden;
	width: 1.5em;
}
.vertical-text__inner {
	display: inline-block;
	white-space: nowrap;
	line-height: 1.5;
  
	-moz-transform-origin: 0 0;
	-moz-transform: translate(0,100%) rotate(-90deg);
	-ms-transform-origin: 0 0;
  -ms-transform: translate(0,0) rotate(270deg);
	-webkit-transform-origin: 0 0;
  -webkit-transform: rotate(-90deg);
  -o-transform: rotate(-90deg);
	transform-origin: 0 0;
  transform: translate(0,100%) rotate(-90deg);
}
.vertical-text__inner:after {
	content: "";
	display: block;
	margin: -1.5em 0 100%;
}

.titulni_stranka .hidden {
  display: none;
}

.titulni_stranka label {
  width: auto;
}

.titulni_stranka label input {
  position: relative;
  top: -2px;
}

.titulni_stranka input[type="button"] {
  cursor: pointer;
}

.missing {
  background-color: #808080;
  color: white;
  font-weight: bold;
}

.ttd {
  background-color: #FFEEC6; border: thin solid black; padding: 0.5ex; font: 0.8em Verdana; position: absolute;
}

.titulni_stranka .ttd {
  font-size: 1.1em;
}

#result {
  border: thin dotted #545454;
  padding: 0.5em 1em;
  background: #ededed;
}
#result:empty {
  display: none;
}
#result span, #result span[title], #result span[data-title] {
  border-bottom: thin dashed black; 
}


.reklama /*.oznamy, .dulezite, .souhrn, .zoznam, .trop, .partner*/ {
  color: #678;
  margin-top: 2em;
  font-size: 80%;
}
.reklama a {
  color: inherit;
}

.skryta, a.rightLink.skryta {
  display: none;
}

.star {
  display: inline-block;
  width: 15px;
  height: 15px;
  cursor: pointer;
  background-image: url('img/star2.png');
}
.star.selected {
  background-image: url('img/star_select.png');
}

.button {
  text-decoration: none;
  font-weight: bold;
  font-size: 115%;
  cursor: pointer;
}

.button:hover {
  color: red;
}

.white {
  color: white;
}

.visited {
  background-color: #A8A8A8;
}
.lastVisited {
  background-color: #F9CB2F;
}

body.loading {
  cursor: wait;
}

input[type=button].loading + span::after,
span.spinner::after {
  display: inline-block;
  content: "";
  background-image: url("img/spinner.gif");
  width: 14px;
  height: 14px;  
}

.zelene {
  color: #00A40D;
}
.cervene {
  color: red;
}

p.cervene:empty {
  display: none;
}

td.chybi {
  background: #FD9264;
}

td.malo {
  background: #FDC606;
}

table.prehledTabulek tr td.stred {
  text-align: center;
}

table.prehledTabulek tr td a {
  color: blue;
}

a.button,
span.asButtonLink {
  text-decoration: none;
  font-size: 120%;
  margin: 0.1em 0.4em;
}

a.rightLink {
  display: block;
}

.noDisplay {
  display: none;
}

table.admin.zaznamy td:first-child {
  width: 7em;
  /*text-align: left;*/
}
table.admin.zaznamy.isor td:first-child {
  width: 12em;
  /*text-align: left;*/
}

table.admin tr td.budouciVlozeni {
  background-color: #C1EAFF;
}

table.admin tr td.pred0dny {
  background-color: #93FF93; 
}

table.admin tr td.pred1dny {
  background-color: #CEFEAB; 
}

table.admin tr td.pred2dny {
  background-color: #FFFF9D; 
}

table.admin tr td.pred3dny {
  background-color: #FFE2A6; 
}

table.admin tr td.pred4dny {
  background-color: #FFC69B;
}

table.admin tr td.pred5dny {
  background-color: #FF8A75;
}

table.admin tr td.pred6dny {
  background-color: #FF7D81;
}

.kopiruj {
  color: #545454;
  opacity: 40%;
  display: inline-block;
  width: 2em;
  text-align: center;
  cursor: pointer;
  font-size: 120%;
  transition: all 0.2s linear;
}
.kopiruj:hover {
  opacity: 100%;
}


/*nova titulka:*/
nav {
  width: 100%;
}
nav > div {
  border: thin solid black;
  border-radius: 20px 20px 0 0;
  width: 160px;
  height: 100%;
  display: inline-block;
  font-size: 20px;
  padding-left: 20px;
  margin-left: 10px;
  vertical-align: middle;
  padding-top: 30px;
  padding-bottom: 30px;
}
nav > div[data-zobrazZemi] {
  cursor: pointer;
}

.titulni_stranka nav div a {
  opacity: 0;
  transition: all linear 0.5s;
  text-decoration: none;
  color: black;
  display: inline-block;
}
.titulni_stranka nav div:hover a {
  opacity: 1;
}

nav > div.active {
  border-bottom-color: transparent;
}
nav > div img {
  margin-right: 8px;
}
.jednaZeme {
  font-size: 100%;
}

.titulni_stranka a.flagButton {
  font-size: 160%;
  text-decoration: none;
}

[data-setting] {
  cursor: pointer;
}

.obehForm p {
  margin-top: 0.3em;
  margin-bottom: 0.3em;
}